package utils

import (
	"path/filepath"
	"strings"
)

// MatchPathLength matches the length of target path separated by path separator
// to the length of base path separated by path separator plus offset
func MatchPathLength(basePath, targetPath string, offset int) bool {
	basePathLength := len(strings.Split(basePath, string(filepath.Separator)))
	targetPathLength := len(strings.Split(targetPath, string(filepath.Separator)))
	if basePathLength+offset == targetPathLength {
		return true
	}

	return false
}
